#ifndef _DUMP_H
#define _DUMP_H

#include <stdio.h>

#include "common.h"
#include "locodef.h"


uint32_t getvalue(uint8_t *data, int size);
int32_t getsvalue(uint8_t *data, int size);

uint32_t dumpflags(FILE *xml, uint8_t *data, const char **flags, int size, int indentation);
uint32_t dumpvars(FILE *xml, uint8_t *data, varinf *vars);
uint32_t dumplang(FILE *xml, uint8_t *data);
uint32_t dumpuseobj(FILE *xml, uint8_t *data, int num, int total, const char *type, int class);
uint32_t dumpcap(FILE *xml, uint8_t *data, int num, int total);
uint32_t dumpsprites(FILE *xml, uint8_t *data);
int dumpchunk(FILE *xml, uint8_t *data, int class);

#endif // ndef _DUMP_H
