#ifndef _XML_H
#define _XML_H

#include <stdio.h>

#include "common.h"

void putxmlstr(FILE *f, const char *str, uint32_t minlen);

uint32_t parsexml(uint8_t *data, uint32_t len, uint8_t **outdata);

void addval(xmlinf *inf, uint8_t *val, uint32_t len);
void add32(xmlinf *inf, uint32_t val);
void add16(xmlinf *inf, uint16_t val);
void add8(xmlinf *inf, uint8_t val);
void addobj(xmlinf *inf, useobjid id, int num);
void addsprites(xmlinf *inf);


#endif // ndef _XML_H
